# Generated from openstack-router-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name openstack-router

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: OpenStack router mechanism
License: GNU GPLv3
URL: https://gitlab.com/rol-public/openstack-router
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(dotenv) >= 2.6.0
# BuildRequires: rubygem(dotenv) < 2.7
# BuildRequires: rubygem(pry) >= 0.12
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry-byebug) >= 3.6
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(rb-readline) >= 0.5
# BuildRequires: rubygem(rb-readline) < 1
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.55
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubycritic) >= 3.5
# BuildRequires: rubygem(rubycritic) < 4
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
This lib is an overlay/router of OpenStack components and region.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.0-1
- Initial package
